libvisio::VSDLineStyle Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDLineStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDLineStyle ()
| VSDLineStyle (double w, Colour col, unsigned char p, unsigned char sm, unsigned char em, unsigned char c, double r)
| VSDLineStyle (const VSDLineStyle &style)
| ~VSDLineStyle ()
void | override (const VSDOptionalLineStyle &style)

## Public Attributes
double | width
Colour | colour
unsigned char | pattern
unsigned char | startMarker
unsigned char | endMarker
unsigned char | cap
double | rounding

## Constructor & Destructor Documentation

## § VSDLineStyle() [1/3]

libvisio::VSDLineStyle::VSDLineStyle | ( |  | ) |
| inline

## § VSDLineStyle() [2/3]

libvisio::VSDLineStyle::VSDLineStyle | ( | double | w,
|  | Colour | col,
|  | unsigned char | p,
|  | unsigned char | sm,
|  | unsigned char | em,
|  | unsigned char | c,
|  | double | r
| ) |  |
| inline

## § VSDLineStyle() [3/3]

libvisio::VSDLineStyle::VSDLineStyle | ( | const VSDLineStyle & | style | ) |
| inline

## § ~VSDLineStyle()

libvisio::VSDLineStyle::~VSDLineStyle | ( |  | ) |
| inline

## Member Function Documentation

## § override()

void libvisio::VSDLineStyle::override | ( | const VSDOptionalLineStyle & | style | ) |
| inline

Referenced by libvisio::VSDContentCollector::collectLine(), and libvisio::VSDContentCollector::collectShape().

## Member Data Documentation

## § cap

unsigned char libvisio::VSDLineStyle::cap

Referenced by libvisio::VSDContentCollector::_lineProperties().

## § colour

Colour libvisio::VSDLineStyle::colour

Referenced by libvisio::VSDContentCollector::_lineProperties().

## § endMarker

unsigned char libvisio::VSDLineStyle::endMarker

Referenced by libvisio::VSDContentCollector::_lineProperties().

## § pattern

unsigned char libvisio::VSDLineStyle::pattern

Referenced by libvisio::VSDContentCollector::_flushCurrentPath(), libvisio::VSDContentCollector::_flushShape(), and libvisio::VSDContentCollector::_lineProperties().

## § rounding

double libvisio::VSDLineStyle::rounding

Referenced by libvisio::VSDContentCollector::_flushCurrentPath().

## § startMarker

unsigned char libvisio::VSDLineStyle::startMarker

Referenced by libvisio::VSDContentCollector::_lineProperties().

## § width

double libvisio::VSDLineStyle::width

Referenced by libvisio::VSDContentCollector::_lineProperties().

The documentation for this struct was generated from the following file:

- VSDStyles.h